/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkTools.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fr, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
	University Erlangen-Nuremberg, Germany
	All rights reserved.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/


namespace ritk
{

// Shared library export/import macro for the tools group
#if defined(TOOLS_SHAREDLIB_EXPORT)
	#if defined(WIN32)
		#define TOOLS_EXPORT __declspec(dllexport)
	#else
		#define TOOLS_EXPORT
	#endif
#else
	#if defined(WIN32)
		#define TOOLS_EXPORT __declspec(dllimport)
	#else
		#define TOOLS_EXPORT
	#endif
#endif

// Doxygen group for Tools
/** @defgroup Tools Tools
 *	Basic tools that are used within the RITK framework.
 */

} // end namespace ritk
