#ifndef KINECTOPENNISOURCEPLUGINFACTORY_H__
#define KINECTOPENNISOURCEPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class KinectOpenNISourcePluginFactory : public QObject, public ritk::SourcePluginFactory
{
	Q_OBJECT
    Q_INTERFACES(ritk::SourcePluginFactory)

public:
	/// Constructor
	KinectOpenNISourcePluginFactory();
	/// Destructor
	~KinectOpenNISourcePluginFactory();

	/// Create an instance of the player plugin
	ritk::SourcePlugin* CreateInstance();

	/// Return the name of the player plugin
	QString GetName();

	/// Return a short description for this player plugin
	QString GetDescription();
};


#endif // KINECTOPENNISOURCEPLUGINFACTORY_H__
